[Pkg-ocaml-maint-commits] r4595 - in /trunk/packages/ocamlnet/trunk/debian: changelog control patches/00list patches/camlp5_5_alias_pat.dpatch

zack at users.alioth.debian.org zack at users.alioth.debian.org
Mon Oct 1 07:46:58 UTC 2007


Author: zack
Date: Mon Oct  1 07:46:58 2007
New Revision: 4595

URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/?sc=1&rev=4595
Log:
* add patch camlp5_5_alias_pat to ensure buildability against camlp5 5.00
  (hoping it can be removed soon ...)

Added:
    trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch   (with props)
Modified:
    trunk/packages/ocamlnet/trunk/debian/changelog
    trunk/packages/ocamlnet/trunk/debian/control
    trunk/packages/ocamlnet/trunk/debian/patches/00list

Modified: trunk/packages/ocamlnet/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocamlnet/trunk/debian/changelog?rev=4595&op=diff
==============================================================================
--- trunk/packages/ocamlnet/trunk/debian/changelog (original)
+++ trunk/packages/ocamlnet/trunk/debian/changelog Mon Oct  1 07:46:58 2007
@@ -4,10 +4,12 @@
   * add patch camlrun_shared to link against libcamlrun_shared, so that the
     apache module becomes PIC. Fix FTBFSs on most non-i386 archs
     (closes: #443150, #444360)
+  * add patch camlp5_5_alias_pat to ensure buildability against camlp5 5.00
+    (hoping it can be removed soon ...)
   * bump versioned build-dep on ocaml-nox to 3.10.0-9 (the first version
     shipping libcamlrun_shared)
 
- -- Stefano Zacchiroli <zack at debian.org>  Fri, 28 Sep 2007 16:30:36 +0200
+ -- Stefano Zacchiroli <zack at debian.org>  Mon, 01 Oct 2007 09:43:15 +0200
 
 ocamlnet (2.2.8.1-3) experimental; urgency=low
 

Modified: trunk/packages/ocamlnet/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocamlnet/trunk/debian/control?rev=4595&op=diff
==============================================================================
--- trunk/packages/ocamlnet/trunk/debian/control (original)
+++ trunk/packages/ocamlnet/trunk/debian/control Mon Oct  1 07:46:58 2007
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack at debian.org>
-Build-Depends: debhelper (>> 5.0.0), dpatch, cdbs, ocaml-nox (>= 3.10.0-9), camlp5 (>= 4.08), ocaml-findlib, libpcre-ocaml-dev (>= 5.11.1), liblablgtk2-ocaml-dev, libcryptgps-ocaml-dev, libssl-ocaml-dev, apache2-mpm-worker, apache2-prefork-dev
+Build-Depends: debhelper (>> 5.0.0), dpatch, cdbs, ocaml-nox (>= 3.10.0), camlp5 (>= 4.08), ocaml-findlib, libpcre-ocaml-dev (>= 5.11.1), liblablgtk2-ocaml-dev, libcryptgps-ocaml-dev, libssl-ocaml-dev, apache2-mpm-worker, apache2-prefork-dev
 Standards-Version: 3.7.2
 Homepage: http://ocamlnet.sourceforge.net/
 XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-ocaml-maint/trunk/packages/ocamlnet

Modified: trunk/packages/ocamlnet/trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocamlnet/trunk/debian/patches/00list?rev=4595&op=diff
==============================================================================
--- trunk/packages/ocamlnet/trunk/debian/patches/00list (original)
+++ trunk/packages/ocamlnet/trunk/debian/patches/00list Mon Oct  1 07:46:58 2007
@@ -1,3 +1,4 @@
+camlp5_5_alias_pat.dpatch
 camlrun_shared.dpatch
 dont_install_gpl.dpatch
 mkdir_destdir.dpatch

Added: trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch?rev=4595&op=file
==============================================================================
--- trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch (added)
+++ trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch Mon Oct  1 07:46:58 2007
@@ -1,0 +1,81 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## camlp5_5_alias_pat.dpatch by Stefano Zacchiroli <zack at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: parhentesize alias patterns to ensure buildability against camlp5 >= 5.00
+
+ at DPATCH@
+diff -urNad trunk~/src/netstring/mimestring.ml trunk/src/netstring/mimestring.ml
+--- trunk~/src/netstring/mimestring.ml	2007-07-31 18:20:58.000000000 +0200
++++ trunk/src/netstring/mimestring.ml	2007-10-01 09:33:58.000000000 +0200
+@@ -653,7 +653,7 @@
+ 		      let et, t = tok in
+ 		      target.last_token <- t;
+ 		      tok
+-		  | (et,t) as pair :: ws_list' ->
++		  | ((et,t) as pair) :: ws_list' ->
+ 		      List.iter
+ 			(fun (et',_) -> 
+ 			   Queue.add et' target.scanned_tokens)
+@@ -1320,11 +1320,11 @@
+ 
+   let rec output_tokens last tl =
+     match tl with
+-	Atom atext as cur :: tl' ->
++	(Atom atext as cur) :: tl' ->
+ 	  separate_words last;
+ 	  output_nobreak atext;
+ 	  output_tokens cur tl'
+-      | Control c as cur :: tl' ->
++      | (Control c as cur) :: tl' ->
+ 	  output_nobreak (String.make 1 c);
+ 	  output_tokens cur tl'
+       | (Special ' ' | Special '\t' | Comment as cur) :: tl' ->
+@@ -1348,22 +1348,22 @@
+ 		  assert false
+ 	  );
+ 	  output_tokens cur tl'
+-      | Special c as cur :: tl' ->
++      | (Special c as cur) :: tl' ->
+ 	  output_nobreak (String.make 1 c);
+ 	  output_tokens cur tl'
+-      | QString s as cur :: tl' ->
++      | (QString s as cur) :: tl' ->
+ 	  separate_words last;
+ 	  output_nobreak "\"";
+ 	  output_quoted '"' '"' fold_qstring s;
+ 	  output_nobreak "\"";
+ 	  output_tokens cur tl'
+-      | DomainLiteral s as cur :: tl' ->
++      | (DomainLiteral s as cur) :: tl' ->
+ 	  separate_words last;
+ 	  output_nobreak "[";
+ 	  output_quoted '[' ']' fold_literal s;
+ 	  output_nobreak "]";
+ 	  output_tokens cur tl'
+-      | EncodedWord((cs,lang),enc,_) as cur :: _ ->
++      | (EncodedWord((cs,lang),enc,_) as cur) :: _ ->
+ 	  separate_words last;
+ 	  let (textlist, tl'') = collect_words cs lang enc tl in
+ 	  let text = String.concat "" textlist in
+diff -urNad trunk~/src/netstring/netchannels.ml trunk/src/netstring/netchannels.ml
+--- trunk~/src/netstring/netchannels.ml	2007-07-31 18:20:58.000000000 +0200
++++ trunk/src/netstring/netchannels.ml	2007-10-01 09:33:46.000000000 +0200
+@@ -667,7 +667,7 @@
+       match eol_result with
+ 	  EOL_not_found :: eol_result' ->
+ 	    find_best_eol best eol_result'
+-	| EOL_partially_found pos as r :: eol_result' ->
++	| (EOL_partially_found pos as r) :: eol_result' ->
+ 	    ( match best with
+ 		  EOL_partially_found pos' ->
+ 		    if pos < pos' then
+@@ -677,7 +677,7 @@
+ 		| _ ->
+ 		    find_best_eol r eol_result'
+ 	    )
+-	| EOL_found(pos,len) as r :: eol_result' ->
++	| (EOL_found(pos,len) as r) :: eol_result' ->
+ 	    ( match best with
+ 		  EOL_found(pos',len') ->
+ 		    if pos < pos' || (pos = pos' && len > len') then

Propchange: trunk/packages/ocamlnet/trunk/debian/patches/camlp5_5_alias_pat.dpatch
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-ocaml-maint-commits mailing list